import { FakeProfileRepository } from '@app/testing/domain/profiles/fake-profile.repository';
import { mockProfiles } from '@app/testing/profile.mock';
import { GetProfileUseCase } from '@app/application/profiles/get-profile.usecase';

describe('GetProfileUseCase', () => {
  it('doit retourner un profile', () => {
    const repo = new FakeProfileRepository();
    const useCase = new GetProfileUseCase(repo);

    useCase.execute('1').subscribe({
      next: (profile) => {
        expect(profile).toEqual(mockProfiles[0]);
      },
    });
  });
});
